# Load the functions to draw the figures
source("figures.fun.r")

######################################
# Plots uncorrelated data (Figure 1) #
######################################

pdf("settingA.pdf",width=12,height=3)
plotfunction("n100p1000p1000prel10prel10beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()

pdf("settingB.pdf",width=12,height=3)
plotfunction("n100p100p1000prel3prel30beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()


pdf("settingC.pdf",width=12,height=3)
plotfunction("n100p100p1000prel10prel10beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()

pdf("settingD.pdf",width=12,height=3)
plotfunction("n100p100p1000prel20prel0beta10.3beta20.3prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()


pdf("settingE.pdf",width=12,height=3)
plotfunction("n100p20p1000prel3prel10beta11beta20.3prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()

pdf("settingF.pdf",width=12,height=3)
plotfunction("n100p20p1000prel15prel3beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_uncorrelated")
dev.off()



####################################
# Plots correlated data (Figure 3) #
####################################

pdf("settingA_corr.pdf",width=12,height=3)
plotfunction("n100p1000p1000prel10prel10beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()

pdf("settingB_corr.pdf",width=12,height=3)
plotfunction("n100p100p1000prel3prel30beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()

pdf("settingC_corr.pdf",width=12,height=3)
plotfunction("n100p100p1000prel10prel10beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()

pdf("settingD_corr.pdf",width=12,height=3)
plotfunction("n100p100p1000prel20prel0beta10.3beta20.3prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()


pdf("settingE_corr.pdf",width=12,height=3)
plotfunction("n100p20p1000prel3prel10beta11beta20.3prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()

pdf("settingF_corr.pdf",width=12,height=3)
plotfunction("n100p20p1000prel15prel3beta10.5beta20.5prop10.5nzeromaxInfclass.RData",dir="results_correlated")
dev.off()




########################################
# Plots additional settings (Figure 2) #
########################################

pdf("fig_additional.pdf")
allsettings<-plotfunction_additional(dir="results_uncorrelated")
dev.off()


####################
# Generate Table 2 #
####################

matrix.settings<-allsettings$matrix.settings[,c(3:4,1:2,5:6)]
matrix.settings[which(matrix.settings[,3]==0),5]<-NA
matrix.settings[which(matrix.settings[,4]==0),6]<-NA
rownames(matrix.settings)[1]<-"setting A"
rownames(matrix.settings)[5]<-"setting C"
rownames(matrix.settings)[16]<-"setting F"
rownames(matrix.settings)[17]<-"setting E"
rownames(matrix.settings)[11]<-"setting B"
rownames(matrix.settings)[7]<-"setting D"
rownames(matrix.settings)[-c(1,5,16,17,11,7)]<-""

library(xtable)
xtable(matrix.settings)

